Bug 9981 - Sort1 not automatically cleared when duplicating a patron
Summary: Sort1 not automatically cleared when duplicating a patron
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-03 11:12 UTC by Jared Camins-Esakov
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9981: Handle sort1 field when duplicating patron (1.78 KB, patch)
2013-04-03 11:14 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2013-04-03 11:12:37 UTC
It is noted in Bug 5432 that during a duplicate operation one field,
'Sort1' does not automatically clear when the cursor moves into it. This
patch corrects this.

Edit a patron record to have data in the Sort1 and Sort2 fields. Perform
a duplicate operation on this patron and confirm that the Sort1 and
Sort2 fields show the information from the original patron record. When
you click on each field the contents should disappear.
Comment 1 Jared Camins-Esakov 2013-04-03 11:14:47 UTC
Created attachment 17163 [details] [review]
Bug 9981: Handle sort1 field when duplicating patron

It is noted in Bug 5432 that during a duplicate operation one field,
'Sort1' does not automatically clear when the cursor moves into it. This
patch corrects this.

Edit a patron record to have data in the Sort1 and Sort2 fields. Perform
a duplicate operation on this patron and confirm that the Sort1 and
Sort2 fields show the information from the original patron record. When
you click on each field the contents should disappear.

Signed-off-by: David Cook <dcook@prosentient.com.au>

Works as described.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 2 Jared Camins-Esakov 2013-04-03 11:16:18 UTC
This patch has been pushed to master.
Comment 3 Chris Cormack 2013-04-25 06:07:19 UTC
Pushed to 3.10.x will be in 3.10.6